## org.apache.tools.ant.helper
Class ProjectHelperImpl

    java.lang.Object
      org.apache.tools.ant.ProjectHelper
          org.apache.tools.ant.helper.ProjectHelperImpl

    public class ProjectHelperImpl

extends ProjectHelper

Original helper.

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectHelper
`ANT_CORE_URI, ANT_CURRENT_URI, ANT_TYPE, ANTLIB_URI, HELPER_PROPERTY, PROJECTHELPER_REFERENCE, SERVICE_ID`

Constructor Summary
`ProjectHelperImpl()` default constructor

Method Summary
`void` `parse(Project project, java.lang.Object source)` Parses the project file, configuring the project as it goes.

Methods inherited from class org.apache.tools.ant.ProjectHelper
`addLocationToBuildException, addText, addText, configure, configureProject, extractNameFromComponentName, extractUriFromComponentName, genComponentName, getContextClassLoader, getImportStack, getProjectHelper, parsePropertyString, replaceProperties, replaceProperties, storeChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectHelperImpl

    public ProjectHelperImpl()

  default constructor

Method Detail

### parse

    public void parse(Project project,
                      java.lang.Object source)
               throws BuildException

  Parses the project file, configuring the project as it goes.

  Overrides:
    `parse` in class `ProjectHelper`
  Parameters:
    `project` - project instance to be configured.
    `source` - the source from which the project is read.
  Throws:
    `BuildException` - if the configuration is invalid or cannot be read.